Problems - Problem Tasks API

List all problem tasks of a problem

List all problem tasks of a problem with a specific ID.

GET /problems/:id/tasks

Response

status: 200 OK
[
  {
    "created_at": "2026-10-05T09:12:44-05:00",
    "desired_completion_at": "2026-10-12T17:00:00-05:00",
    "id": 154,
    "member": {
      "id": 18,
      "name": "Ellen Brown",
      "account": {
        "id": "widget",
        "name": "Widget International"
      },
      "nodeID": "..."
    },
    "position": 1,
    "priority": "high",
    "problem": {
      "id": 2,
      "subject": "SAP timeouts during month-end closing",
      "nodeID": "..."
    },
    "problem_task_type": "investigation",
    "status": "accepted",
    "subject": "Correlate timeouts with the batch schedule",
    "team": {
      "id": 11,
      "name": "Application Development",
      "nodeID": "..."
    },
    "updated_at": "2026-10-06T11:03:17-05:00",
    "nodeID": "..."
  },
  {
    "created_at": "2026-10-05T09:15:02-05:00",
    "desired_completion_at": null,
    "id": 155,
    "member": null,
    "position": 2,
    "priority": "medium",
    "problem": {
      "id": 2,
      "subject": "SAP timeouts during month-end closing",
      "nodeID": "..."
    },
    "problem_task_type": "workaround",
    "status": "assigned",
    "subject": "Move the invoice batch out of the closing window",
    "team": {
      "id": 11,
      "name": "Application Development",
      "nodeID": "..."
    },
    "updated_at": "2026-10-05T09:15:02-05:00",
    "nodeID": "..."
  },
  "..."
]

The response contains these fields by default. Without a sort parameter the problem tasks are listed in the order of their position.

Get a single problem task of a problem

GET /problems/:id/tasks/:problem_task_id

Response

status: 200 OK
{
  "close_note": null,
  "closed_at": null,
  "closed_by": null,
  "created_at": "2026-10-05T09:12:44-05:00",
  "created_by": {
    "id": 6,
    "name": "Howard Tanner",
    "account": {
      "id": "widget",
      "name": "Widget International"
    },
    "nodeID": "..."
  },
  "desired_completion_at": "2026-10-12T17:00:00-05:00",
  "id": 154,
  "instructions": "Collect the application logs of the last two weeks from the WDC-SAP-PRD01 server and compare the timeouts with the batch schedule.",
  "manager": {
    "id": 6,
    "name": "Howard Tanner",
    "account": {
      "id": "widget",
      "name": "Widget International"
    },
    "nodeID": "..."
  },
  "member": {
    "id": 18,
    "name": "Ellen Brown",
    "account": {
      "id": "widget",
      "name": "Widget International"
    },
    "nodeID": "..."
  },
  "position": 1,
  "priority": "high",
  "problem": {
    "id": 2,
    "subject": "SAP timeouts during month-end closing",
    "nodeID": "..."
  },
  "problem_task_type": "investigation",
  "request": null,
  "risk": null,
  "status": "accepted",
  "subject": "Correlate timeouts with the batch schedule",
  "team": {
    "id": 11,
    "name": "Application Development",
    "nodeID": "..."
  },
  "updated_at": "2026-10-06T11:03:17-05:00",
  "attachments": [],
  "nodeID": "..."
}

The response contains these fields.

To add a task to a problem, see Problem Tasks API - Create a problem task.